#include <Application.h>
#include <OutlineListView.h>
#include <StringItem.h>
#include <View.h>
#include <Window.h>


int
main()
{
	BApplication app("application/x-vnd.haiku.testOutlineListView");

	BWindow* window = new BWindow(BRect(100, 100, 500, 500), "Test",
		B_TITLED_WINDOW, 0);
	BOutlineListView *outline = new BOutlineListView(BRect(0,0,400,400),
		"test_list", B_MULTIPLE_SELECTION_LIST, B_FOLLOW_ALL);
	outline->SetSelectionMessage(new BMessage(1234567));
	window->AddChild(outline);
	for (int i = 0; i < 2; i++) {
		BStringItem *item = new BStringItem("Hello");
		outline->AddItem(item);
		for (int j = 0; j < 4; j++) {
			outline->AddUnder(new BStringItem("SubHello"), item);
		}
	}

	window->Show();

	app.Run();

	return 0;
}
